import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/home.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'home',
    component: Home
  },
  {
    path: '/turntableDetail',
    name: 'turntableDetail',
    component: () => import(/* webpackChunkName: "about" */ '../views/active/turntableDetail.vue')
  },
  {
    path: '/createActive',
    name: 'createActive',
    component: () => import(/* webpackChunkName: "about" */ '../views/active/createActive.vue')
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
